﻿<%@ Page Title="Airport Transfer Booking" Language="C#" StylesheetTheme="tw4" 
MasterPageFile="~/home.Master" AutoEventWireup="true" 
CodeBehind="BookingTransfers.aspx.cs" Inherits="tw4.BookingTransfers"
 %>

<%@ Register src="Controls/ucAddress.ascx" tagname="ucAddress" tagprefix="uc3" %>
<%@ Register Src="Controls/Content.ascx" TagName="Paragraph" TagPrefix="uc5" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <uc5:Paragraph ID="Paragraph2" runat="server" ContentName="airport_transfers_Middle" />
    <asp:Wizard runat="server"  Width="100%"  ID="wiz"
    SideBarStyle-CssClass="wizsidebar" HeaderStyle-CssClass="wizsidebar"  SideBarStyle-VerticalAlign="Top" 
        onnextbuttonclick="Unnamed1_NextButtonClick" DisplaySideBar="False" 
        ActiveStepIndex="0" onfinishbuttonclick="wiz_FinishButtonClick" onpreviousbuttonclick="wiz_PreviousButtonClick"
   >
   
  <WizardSteps>

    <asp:WizardStep ID="Step1">
    <div class="wizHeader">
       <img src="images/op1.gif" style="float:left;" alt="Airport Transfer" />Enter your postcode and select your airport OR Click on a price.
    <div class="clear"></div>
        
    </div>
    <div class="wizstep">
    <div>
    
    <div style="float:left; width:50%;" >
        <div class="label">
                Postcode:</div>
            <asp:TextBox ID="txtZip" runat="server" ValidationGroup="BOOK" 
                CssClass="inputShort" Font-Size="20px" >
            </asp:TextBox>
                        <asp:CustomValidator ID="CustomValidatorPostcodeCost" runat="server" 
            ErrorMessage="No price for entered postcode." ValidationGroup="BOOK"
            OnServerValidate="CustomValidatorPostcodeCost_ServerValidate"></asp:CustomValidator>
            </div>
            <div style="float:left; width:50%;" >
            <div class="label">Select Airport: </div>
    <asp:DropDownList ID="DropDownListTransfers" runat="server" style="float:left;">
        </asp:DropDownList>
            </div>
            <div class="clear"></div>
            
            </div>
    <center>
    <hr style=" clear:both;" />
    <div runat="server" id="divTransfers">
    </div>
    </center>
    <br style="clear:both;"  />
    </div>
    
    </asp:WizardStep>

    <asp:WizardStep ID="Step2" Title="">
    <div class="wizHeader" >
       <img src="images/op2.gif" style="float:left;" alt="Airport Transfer" />Enter your transfer requirements.
    <div class="clear"></div>
        
    </div>
    <div class="wizstep" style=" padding:5px;">
    
    <div style=" width:100%;">
    
    <div style=" width:50%; float:left;">
    <div class="h1_t">Do you require a transfer to or from the airport?</div> 
    <asp:RadioButtonList ID="rblTransferType" runat="server" AutoPostBack="true"
            RepeatDirection="Horizontal" 
            onselectedindexchanged="rblTransferType_SelectedIndexChanged">
        <asp:ListItem Selected="True">To Airport</asp:ListItem>
        <asp:ListItem>From Airport</asp:ListItem>
    </asp:RadioButtonList>
    <br />
    <div id="divVehicle" runat="server"  class="roundPanrl" >
    <div class="h1_t">What type of vehicle do you require?</div>
                   <div class="label">Vehicle:</div>
                   <asp:DropDownList ID="rblVehicles" runat="server" 
                    CssClass="Details" Font-Size="X-Small"
                    ValidationGroup="BOOK" 
                    DataValueField="VehicleId" AutoPostBack="true"
                       onselectedindexchanged="rblVehicles_SelectedIndexChanged">
                </asp:DropDownList>
                <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" 
                    ErrorMessage="No Vehicle selected." 
                    ControlToValidate="rblVehicles" 
                    ValidationGroup="BOOK" >*</asp:RequiredFieldValidator>
        </div>
    <br />
     <div runat="server"  class="roundPanrl"  id="divTimes">
     <div class="h1_t">What are your booking times?</div>
    <div class="label">Transfer Date:</div>
    <div>
                    <asp:TextBox ID="txtLegDate" runat="server" 
                            Text="" Width="200px"></asp:TextBox>
                            
                        <ajaxToolkit:CalendarExtender ID="cal" 
                            runat="server"   
                            TargetControlID="txtLegDate" 
                            Format="dd MMM yyyy">
                        </ajaxToolkit:CalendarExtender>
        <asp:CustomValidator ID="cvDate" runat="server" ValidationGroup="BOOK" ValidateEmptyText="true" 
        ErrorMessage="" ControlToValidate="txtLegDate" OnServerValidate="cvDate_ServerValidate"></asp:CustomValidator>
       </div>
    <div>
    <div class="label">Transfer Time:</div>
      <asp:DropDownList ID="DropDownList3" runat="server" >
    <asp:ListItem Text="00" Value="00"></asp:ListItem>
    <asp:ListItem Text="01" Value="01"></asp:ListItem>
    <asp:ListItem Text="02" Value="02"></asp:ListItem>
    <asp:ListItem Text="03" Value="03"></asp:ListItem>
    <asp:ListItem Text="04" Value="04"></asp:ListItem>
    <asp:ListItem Text="05" Value="05"></asp:ListItem>
    <asp:ListItem Text="06" Value="06"></asp:ListItem>
    <asp:ListItem Text="07" Value="07"></asp:ListItem>
    <asp:ListItem Text="08" Value="08"></asp:ListItem>
    <asp:ListItem Text="09" Value="09"></asp:ListItem>
    <asp:ListItem Text="10" Value="10"></asp:ListItem>
    <asp:ListItem Text="11" Value="11"></asp:ListItem>
    <asp:ListItem Text="12" Value="12"></asp:ListItem>
    <asp:ListItem Text="13" Value="13"></asp:ListItem>
    <asp:ListItem Text="14" Value="14"></asp:ListItem>
    <asp:ListItem Text="15" Value="15"></asp:ListItem>
    <asp:ListItem Text="16" Value="16"></asp:ListItem>
    <asp:ListItem Text="17" Value="17"></asp:ListItem>
    <asp:ListItem Text="18" Value="18"></asp:ListItem>
    <asp:ListItem Text="19" Value="19"></asp:ListItem>
    <asp:ListItem Text="20" Value="20"></asp:ListItem>
    <asp:ListItem Text="21" Value="21"></asp:ListItem>
    <asp:ListItem Text="22" Value="22"></asp:ListItem>
    <asp:ListItem Text="23" Value="23"></asp:ListItem>
    </asp:DropDownList>
    
    <asp:DropDownList ID="DropDownList4" runat="server" >
    <asp:ListItem Text="00" Value="00"></asp:ListItem>
    <asp:ListItem Text="05" Value="05"></asp:ListItem>
    <asp:ListItem Text="10" Value="10"></asp:ListItem>
    <asp:ListItem Text="15" Value="15"></asp:ListItem>
    <asp:ListItem Text="20" Value="20"></asp:ListItem>
    <asp:ListItem Text="25" Value="25"></asp:ListItem>
    <asp:ListItem Text="30" Value="30"></asp:ListItem>
    <asp:ListItem Text="35" Value="35"></asp:ListItem>
    <asp:ListItem Text="40" Value="40"></asp:ListItem>
    <asp:ListItem Text="45" Value="45"></asp:ListItem>
    <asp:ListItem Text="50" Value="50"></asp:ListItem>
    <asp:ListItem Text="55" Value="55"></asp:ListItem>
    </asp:DropDownList>
    
    <div class="clear"></div>
    <div class="label">Flight Number:</div>
            <asp:TextBox ID="txtFlightNumber" runat="server" CssClass="inputShort" 
                ValidationGroup="BOOK"></asp:TextBox><asp:RequiredFieldValidator ID="RequiredFieldValidator5" runat="server" 
                ControlToValidate="txtFlightNumber" ErrorMessage="Flight number is required." 
                ValidationGroup="BOOK">*</asp:RequiredFieldValidator>             
            <br />
    <div class="label">Departure City:</div>
            <asp:TextBox ID="txtDepartCity" runat="server" CssClass="inputShort" 
                ValidationGroup="BOOK"></asp:TextBox><asp:RequiredFieldValidator ID="RequiredFieldValidator6" runat="server" 
                ControlToValidate="txtDepartCity" ErrorMessage="Departure city is required." 
                ValidationGroup="BOOK">*</asp:RequiredFieldValidator>             
            <br /> 
    </div>
    </div>
    </div>
    
    <div style=" width:45%; float:left; margin-left:10px;">
    <div class="h1_t">Do you require a return transfer?</div>
    <div>
    
    <asp:CheckBox ID="cbReturn" runat="server" Checked="false" AutoPostBack="true"
            Text="please tick the box to book a return transfer." 
            oncheckedchanged="rblTransferType_SelectedIndexChanged" />
            
    </div>
    
    <asp:Panel style="margin-top:20px;" runat="server" ID="divReturn">

    <div class="label">Return Date:</div>
    <div>
                    <asp:TextBox ID="TextBox1" runat="server" 
                            Text="" Width="200px">
                            </asp:TextBox>
                            <ajaxToolkit:CalendarExtender ID="CalendarExtender1" 
                            runat="server"   
                            TargetControlID="TextBox1" 
                            Format="dd MMM yyyy">
                        </ajaxToolkit:CalendarExtender>
                    <asp:CustomValidator ID="cvDateReturn" ControlToValidate="TextBox1" 
                        runat="server" ValidationGroup="BOOK" 
                        ErrorMessage="Return date must be after initial transfer date." 
                        OnServerValidate="cvDateReturn_ServerValidate"></asp:CustomValidator>
       </div>

    <div  class="label">Return Time:</div>
    <asp:DropDownList ID="DropDownList1" runat="server" >
    <asp:ListItem Text="00" Value="00"></asp:ListItem><asp:ListItem Text="01" Value="01"></asp:ListItem><asp:ListItem Text="02" Value="02"></asp:ListItem><asp:ListItem Text="03" Value="03"></asp:ListItem><asp:ListItem Text="04" Value="04"></asp:ListItem><asp:ListItem Text="05" Value="05"></asp:ListItem><asp:ListItem Text="06" Value="06"></asp:ListItem><asp:ListItem Text="07" Value="07"></asp:ListItem><asp:ListItem Text="08" Value="08"></asp:ListItem><asp:ListItem Text="09" Value="09"></asp:ListItem><asp:ListItem Text="10" Value="10"></asp:ListItem><asp:ListItem Text="11" Value="11"></asp:ListItem><asp:ListItem Text="12" Value="12"></asp:ListItem><asp:ListItem Text="13" Value="13"></asp:ListItem><asp:ListItem Text="14" Value="14"></asp:ListItem><asp:ListItem Text="15" Value="15"></asp:ListItem><asp:ListItem Text="16" Value="16"></asp:ListItem><asp:ListItem Text="17" Value="17"></asp:ListItem><asp:ListItem Text="18" Value="18"></asp:ListItem><asp:ListItem Text="19" Value="19"></asp:ListItem><asp:ListItem Text="20" Value="20"></asp:ListItem><asp:ListItem Text="21" Value="21"></asp:ListItem><asp:ListItem Text="22" Value="22"></asp:ListItem><asp:ListItem Text="23" Value="23"></asp:ListItem></asp:DropDownList>:
    <asp:DropDownList ID="DropDownList2" runat="server" >
        <asp:ListItem Text="00" Value="00"></asp:ListItem>
    <asp:ListItem Text="05" Value="05"></asp:ListItem>
    <asp:ListItem Text="10" Value="10"></asp:ListItem>
    <asp:ListItem Text="15" Value="15"></asp:ListItem>
    <asp:ListItem Text="20" Value="20"></asp:ListItem>
    <asp:ListItem Text="25" Value="25"></asp:ListItem>
    <asp:ListItem Text="30" Value="30"></asp:ListItem>
    <asp:ListItem Text="35" Value="35"></asp:ListItem>
    <asp:ListItem Text="40" Value="40"></asp:ListItem>
    <asp:ListItem Text="45" Value="45"></asp:ListItem>
    <asp:ListItem Text="50" Value="50"></asp:ListItem>
    <asp:ListItem Text="55" Value="55"></asp:ListItem>
    </asp:DropDownList>
    <div class="clear"></div>
    <div class="label">Flight Number:</div>
            <asp:TextBox ID="txtReturnFlightNumber" runat="server" CssClass="inputShort" 
                ValidationGroup="BOOK"></asp:TextBox><asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" 
                ControlToValidate="txtReturnFlightNumber" ErrorMessage="Return flight number is required." 
                ValidationGroup="BOOK">*</asp:RequiredFieldValidator>             
            <br />
    <div class="label">Departure City:</div>
            <asp:TextBox ID="txtDepartCityReturn" runat="server" CssClass="inputShort" 
                ValidationGroup="BOOK"></asp:TextBox><asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" 
                ControlToValidate="txtDepartCityReturn" ErrorMessage="Return departure city is required." 
                ValidationGroup="BOOK">*</asp:RequiredFieldValidator>             
            <br /> 
    </asp:Panel>    
    <ajaxToolkit:CollapsiblePanelExtender ID="pnlStockItem_CollapsiblePanelExtender" 
                    runat="server" Enabled="True" 
                    TargetControlID="divReturn" 
                    ExpandControlID="cbReturn"
                    CollapseControlID="cbReturn" 
                    CollapsedSize="0"
                    Collapsed="True"
                    AutoCollapse="False"
                    AutoExpand="False">
                </ajaxToolkit:CollapsiblePanelExtender>
    
    </div>
    <div class="clear"></div>
</div>
    </div>
    </asp:WizardStep>

    <asp:WizardStep ID="Step3">
    <div class="wizHeader" >
       <img src="images/op3.gif" style="float:left;" alt="Airport Transfer" />Enter your details.
    <div class="clear"></div>
        
    </div>
    <div class="wizstep" style=" padding:5px;">
    <div  style=" width:100%;">
    <div style=" width:50%; float:left;">
    <div class="h1_t">Address and contact details</div>
    <div class="label">Fullname:</div>
            <asp:TextBox ID="txtName" runat="server" CssClass="inputShort" 
                ValidationGroup="BOOK" AutoCompleteType="Company"></asp:TextBox><asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" 
                ControlToValidate="txtName" ErrorMessage="Name is required." 
                ValidationGroup="BOOK">*</asp:RequiredFieldValidator>             
            <br /> 
    <uc3:ucAddress ID="ucAddress" runat="server" ValidationGroup="BOOK" />
    <div class="label">Phone:</div>
            <asp:TextBox ID="txtMobile" runat="server" CssClass="inputShort" ></asp:TextBox>            
            <asp:RequiredFieldValidator ID="RequiredFieldValidator8" runat="server" 
                ControlToValidate="txtMobile" ErrorMessage="Phone number is required." 
                ValidationGroup="BOOK">*</asp:RequiredFieldValidator> 
            <br /> 
    <div class="label">Email:</div>
            <asp:TextBox ID="txtEmail" runat="server" CssClass="inputShort" ></asp:TextBox>            
            <asp:RequiredFieldValidator ID="RequiredFieldValidator7" runat="server" 
                ControlToValidate="txtEmail" ErrorMessage="Email address is required." 
                ValidationGroup="BOOK">*</asp:RequiredFieldValidator> 
            <br /> 
    
    </div>

<div style=" float:left; width:50%;">
    <div class="h1_t" >Special Instructions</div>
    <asp:TextBox ID="txtSpecial" runat="server" style=" height:200px; width:300px; background-color:InfoBackground" TextMode="MultiLine"  />
            
    </div>
 
    <div class="clear"></div>
</div>
</div>
    </asp:WizardStep>

      <asp:WizardStep ID="Step4" runat="server">
      <div class="wizHeader" >
       <img src="images/op4.gif" style="float:left;" alt="Airport Transfer" />Complete booking.
    <div class="clear"></div>
        
    </div>
    <div class="wizstep">
          <asp:GridView ID="GridView2"  SkinID="Norm" runat="server" Width="100%"
    AutoGenerateColumns="False"  >
                <Columns>
                    <asp:TemplateField HeaderText="Location Details">
                        <ItemTemplate>
                        <div id="divRow" runat="server">
                        <div style="float:right;">
                        </div>
                            <div style="padding:5px; float:left; margin-right:20px;">
                            <b>Address: </b><asp:Label ID="Label2" runat="server" Text='<%# Bind("Address") %>'></asp:Label>
                            <br />
                            <b>Date: </b><asp:Label ID="Label1" runat="server" Text='<%# Bind("Time", "{0:dddd dd MMMM yyyy HH:mm}" ) %>'></asp:Label>
                            <br />
                            
                            </div>
                            
                            <div style="padding:5px; clear:both;"> 
                            
                            </div>
                            </div>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
</asp:GridView>
    
    <uc5:Paragraph ID="Paragraph1" runat="server" ContentName="airportPayment" />
    </div>
      </asp:WizardStep>

  </WizardSteps>

<SideBarStyle CssClass="wizsidebar"></SideBarStyle>

<HeaderStyle CssClass="wizHeader"></HeaderStyle>
</asp:Wizard>
<div class="wizsidebar" style="width:100%;" >
<div   style="float:right; padding:30px;" runat="server" id="divLocation"></div>
<div   style="float:right; padding:30px;" runat="server" id="divTotals"></div>
<asp:ValidationSummary style="float:right;  padding:30px;" ID="ValidationSummary1" runat="server"  ValidationGroup="BOOK" />
<div class="clear"></div>
</div>
<div class="clear"></div>
</asp:Content>
